routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Product\ProductList;
use App\Http\Controllers\Product\PurchaseList;
use App\Http\Controllers\Account\AccountSetup;
use App\Http\Controllers\Account\Transaction;
use App\Http\Controllers\Product\Quotation;
use App\Http\Controllers\Sales\SalesQuotation;
use App\Http\Controllers\Report\Product;
use App\Http\Controllers\Report\Sales;
use App\Http\Controllers\Report\Customer;
use App\Http\Controllers\Report\Employee;
use App\Http\Controllers\Report\Account;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('index');
});
Route::get('/index', function () {
    return view('index');
});

Route::get('product-category/edit-category/{id}', function ($id) {
    return view('product.edit-category', ['cat_id' => $id]);
});

Route::get('product-category/groups', 'App\Http\Controllers\Product\CategorySetup@groups');
Route::get('product-category/groupWiseCategory', 'App\Http\Controllers\Product\CategorySetup@groupWiseCategory');
Route::get('product-category/catGroupWiseCategory', 'App\Http\Controllers\Product\CategorySetup@catGroupWiseCategory');
Route::resource('product-category', 'App\Http\Controllers\Product\CategorySetup');

Route::get('/new-product', function () {
    return view('product/product/new-product');
});

Route::get('product/view-product/{id}', function ($id) {
    return view('product/product/view-product', ['pro_id' => $id]);
});
Route::get('product-list/catWiseProduct', 'App\Http\Controllers\Product\ProductList@catWiseProduct');
Route::get('product-list/search', 'App\Http\Controllers\Product\ProductList@search');
Route::resource('product-list', ProductList::class);
Route::prefix('product-list')->group(function () {
    Route::get('/info/{sup_id}/{color_id}/{pro_id}', [ProductList::class, 'info']);
    Route::get('/color/{id}', [ProductList::class, 'colorList']);
});
Route::get('/print-barcode', function () {
    return view('product/product/print-barcode');
});
Route::get('/product-adjustment', function () {
    return view('product/product/product-adjustment');
});
Route::get('/product-stock', function () {
    return view('product/product/product-stock');
});

Route::get('purchase-list/stock', 'App\Http\Controllers\Product\PurchaseList@stock');
Route::post('purchase-list/productAdd', 'App\Http\Controllers\Product\PurchaseList@productAdd');
Route::get('purchase-list/productUpdate', 'App\Http\Controllers\Product\PurchaseList@productUpdate');
Route::get('purchase-list/productColor', 'App\Http\Controllers\Product\PurchaseList@productColor');
Route::get('purchase-list/productRemove', 'App\Http\Controllers\Product\PurchaseList@productRemove');
Route::get('purchase-list/productRemoveAll', 'App\Http\Controllers\Product\PurchaseList@productRemoveAll');
Route::get('purchase-list/invoiceAdd', 'App\Http\Controllers\Product\PurchaseList@invoiceAdd');
Route::get('/purchase-list/edit-product/{id}', [PurchaseList::class, 'product_edit']);
Route::resource('purchase-list', PurchaseList::class);
Route::get('/new-purchase', function () {
    return view('product/purchase/new-purchase');
});
Route::get('/purchase-products', function () {
    return view('product/purchase/product-list');
});

// Route::get('/purchase-list', function () {
//     return view('product/purchase/purchase-list');
// });
Route::get('/purchase-adjustment', function () {
    return view('product/purchase/purchase-adjustment');
});
Route::get('/purchase-return', function () {
    return view('product/purchase/purchase-return');
});
Route::get('/purchase-import', function () {
    return view('product/purchase/purchase-import');
});
Route::get('/sales-pos', function () {
    return view('sales/sales-pos');
});

Route::get('sales-list/productAdd', 'App\Http\Controllers\Sales\SalesList@productAdd');
Route::get('sales-list/productEdit', 'App\Http\Controllers\Sales\SalesList@productEdit');
Route::get('sales-list/productDel', 'App\Http\Controllers\Sales\SalesList@productDel');
Route::get('sales-list/productClear', 'App\Http\Controllers\Sales\SalesList@productClear');
Route::resource('sales-list', 'App\Http\Controllers\Sales\SalesList');
Route::get('/invoice-print', function () {
    return view('sales/sales/sales-list');
});
Route::get('/print-invoice', function () {
    return view('sales/sales/print-invoice');
});
Route::get('/sales-due', function () {
    return view('sales/sales/sales-due');
});
Route::get('/delivery-manage', function () {
    return view('sales/sales/delivery-manage');
});
Route::get('/sales-done', function () {
    return view('sales/sales/sales-done');
});
Route::get('/sales-return', function () {
    return view('sales/sales/sales-return');
});
Route::get('/sales-cancel', function () {
    return view('sales/sales/sales-cancel');
});
Route::get('/sales-import', function () {
    return view('sales/sales/sales-import');
});

Route::get('/new-customer', function () {
    return view('customer/customer/customer-add');
});

Route::resource('customer-list', 'App\Http\Controllers\Customer\CustomerSetup');
// Route::get('customer-list/typesWiseGroup', 'App\Http\Controllers\Setting\CustomerGroup');
Route::get('setting-customer-type/group_info', 'App\Http\Controllers\Setting\CustomerType@typesWiseGroup');
Route::get('/new-user', function () {
    return view('customer/users/users-add');
});
Route::get('/user-list', function () {
    return view('customer/users/users-list');
});
Route::get('/new-biller', function () {
    return view('customer/biller/new-biller');
});
Route::get('/biller-list', function () {
    return view('customer/biller/biller-list');
});
Route::resource('supplier-list', 'App\Http\Controllers\Supplier\SupplierList');
// Route::resource('supplier-list', 'App\Http\Controllers\Supplier\SupplierList', ['names' => [
//     'show' => 'supplier.info'
// ]]);
Route::get('/new-supplier', function () {
    return view('supplier/supplier/new-supplier');
});
// Route::get('/supplier-list', function () {
//     return view('supplier/supplier/supplier-list');
// });
Route::get('/issue-discount', function () {
    return view('supplier/discount/issue-discount');
});
Route::get('/discount-product-list', function () {
    return view('supplier/discount/discount-product-list');
});
Route::resource('employee-department', 'App\Http\Controllers\Employee\DepartmentSetup');
Route::get('/new-employee', function () {
    return view('employee/employee/new-employee');
});
Route::resource('employee-list', 'App\Http\Controllers\Employee\EmployeeList');

Route::get('/daily-attendance', function () {
    return view('employee/attendance/daily-attendance');
});
Route::get('/attendance-history', function () {
    return view('employee/attendance/attendance-history');
});

Route::get('/account-category', function () {
    return view('account/setup/new-category');
});
Route::get('/income-category', function () {
    return view('account/setup/income-category');
});
Route::get('/expense-category', function () {
    return view('account/setup/expense-category');
});
Route::get('{name}/cat-update/{id}', function ($name, $id) {
    return view('account.setup.edit-category', ['cat_id' => $id]);
});
Route::get('/new-transaction', function () {
    return view('account/transaction/new-transaction');
});
Route::get('transaction/categoryList', 'App\Http\Controllers\Account\Transaction@categoryList');
Route::get('transaction/payerInfo', 'App\Http\Controllers\Account\Transaction@payerInfo');
Route::get('transaction/receiverInfo', 'App\Http\Controllers\Account\Transaction@receiverInfo');
Route::resource('transaction', Transaction::class);
Route::resource('account-setup', AccountSetup::class);
Route::get('/income-transaction', function () {
    return view('account/transaction/income-list');
});
Route::get('/expense-transaction', function () {
    return view('account/transaction/expense-list');
});
Route::prefix('account-records')->group(function () {
    Route::resource('account-records', Transaction::class);
    Route::get('/income-records', [Transaction::class, 'income_records']);
    Route::get('/expense-records', [Transaction::class, 'expense_records']);
    Route::get('/balance-sheet', [Transaction::class, 'balance_sheet']);
    Route::get('/daily-statement', [Transaction::class, 'daily_statement']);
    Route::get('/monthly-statement', [Transaction::class, 'monthly_statement']);
    Route::get('/analysis', [Transaction::class, 'account_analysis']);
});
// Report section
Route::prefix('report-product')->group(function () {
    Route::resource('report-product', Product::class);
    Route::get('/stock-details', [Product::class, 'stock_details']);
    Route::get('/minimum-stock', [Product::class, 'minimum_stock']);
    Route::get('/daily-purchase', [Product::class, 'daily_purchase']);
    Route::get('/weekly-purchase', [Product::class, 'weekly_purchase']);
    Route::get('/monthly-purchase', [Product::class, 'monthly_purchase']);
    Route::get('/search-purchase', [Product::class, 'search_purchase']);
});
Route::prefix('report-sales')->group(function () {
    Route::resource('report-sales', Sales::class);
    Route::get('/best-sales', [Sales::class, 'best_sales']);
    Route::get('/daily-sales', [Sales::class, 'daily_sales']);
    Route::get('/weekly-sales', [Sales::class, 'weekly_sales']);
    Route::get('/monthly-sales', [Sales::class, 'monthly_sales']);
    Route::get('/lowest-sales', [Sales::class, 'lowest_sales']);
    Route::get('/search-sales', [Sales::class, 'search_sales']);
});
Route::prefix('report-customer')->group(function () {
    Route::resource('report-customer', Customer::class);

app/Models/Customer/BillerAdd.php
<?php

namespace App\Models\Customer;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BillerAdd extends Model
{
    use HasFactory;
}

app/Models/Customer/BillerUpdate.php
<?php

namespace App\Models\Customer;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BillerUpdate extends Model
{
    use HasFactory;
}

app/Models/Customer/Cus_list.php
<?php

namespace App\Models\Customer;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Cus_list extends Model
{
    use HasFactory;
    public $timestamps = false;
    protected $fillable = ["fname", "phone", "email", "address", "city", "state", "zip", "group_id", "type_id", "advanced", "due", "balance", "remarks"];
}

app/Models/Customer/CustomerAdd.php
<?php

namespace App\Models\Customer;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CustomerAdd extends Model
{
    use HasFactory;
}

app/Models/Customer/CustomerUpdate.php
<?php

namespace App\Models\Customer;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CustomerUpdate extends Model
{
    use HasFactory;
}

app/Http/Controllers/Customer/CustomerSetup.php
<?php

namespace App\Http\Controllers\Customer;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Exception;
use Illuminate\Support\Facades\DB;
use App\Models\Customer\Cus_list;

class CustomerSetup extends Controller
{
    public function __construct()
    {
        $this->result = array();
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $getData = DB::select('SELECT * FROM `cus_lists`');
        return view('customer.customer.customer-list', ['customer' => $getData]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'first_name' => 'required',
            'phone' => 'required',
            'address' => 'required',
            'city' => 'required',
            'group_id' => 'required',
            'type_id' => 'required',
            'balance' => 'required'
        ]);
        $datainsert = new Cus_list([
            "fname" => $request->get('first_name'),
            "lname" =>  $request->get('last_name'),
            "phone" => $request->get('phone'),
            "email" => $request->get('email'),
            "address" => $request->get('address'),
            "city" => $request->get('city'),
            "state" => $request->get('state'),
            "zip" => $request->get('zip'),
            "group_id" => $request->get('group_id'),
            "type_id" => $request->get('type_id'),
            "advanced" => $request->get('advanced'),
            "due" => $request->get('due'),
            "balance" => $request->get('balance'),
            "remarks" => $request->get('remarks')
        ]);
        try {
            $datainsert->save();
            $this->result['status'] = 1;
            $this->result['message'] = 'Successfully saved data.';
        } catch (Exception $e) {
            $this->result['status'] = 0;
            $this->result['message'] = $e->getMessage();
        }
        return $this->result;
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public static function show($id)
    {
        $cus_info = Cus_list::find($id);
        $cus_type = DB::table('cus_types')->where('id', $cus_info->type_id)->first('name');
        $result = array();
        $result['cus_info'] = $cus_info;
        $result['cus_type'] = $cus_type;
        return $result;
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $cus_info = Cus_list::find($id);
        $cus_types = $this->cus_types();
        return view('customer.customer.customer-edit', ['info' => $cus_info, 'types' => $cus_types]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $Cus_list = Cus_list::find($id);
        $request->validate([
            'first_name' => 'required',
            'phone' => 'required',
            'address' => 'required',
            'city' => 'required',
            'group_id' => 'required',
            'type_id' => 'required',
            'balance' => 'required'
        ]);

        $Cus_list->fname = $request->get('first_name');
        $Cus_list->lname = $request->get('last_name');
        $Cus_list->phone = $request->get('phone');
        $Cus_list->email = $request->get('email');
        $Cus_list->address = $request->get('address');
        $Cus_list->city = $request->get('city');
        $Cus_list->state = $request->get('state');
        $Cus_list->zip = $request->get('zip');
        $Cus_list->group_id = $request->get('group_id');
        $Cus_list->type_id = $request->get('type_id');
        $Cus_list->advanced = $request->get('advanced');
        $Cus_list->due = $request->get('due');
        $Cus_list->balance = $request->get('balance');
        $Cus_list->remarks = $request->get('remarks');

        try {
            $Cus_list->save();
            $this->result['status'] = 1;
            $this->result['load'] = 'customer-list';
            $this->result['modal'] = 'cusModal';
            $this->result['message'] = 'Successfully updated data.';
        } catch (Exception $e) {
            $this->result['status'] = 0;
            $this->result['modal'] = 'cusModal';
            $this->result['message'] = $e->getMessage();
        }
        return $this->result;
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public static function customerList()
    {
        $getData = DB::table('cus_lists')->where('status', 1)->get();
        return $getData;
    }

    private function cus_types()
    {
        $cus_types = DB::select('SELECT * FROM `cus_types`');
        return $cus_types;
    }
}

app/Http/Controllers/Report/Customer.php
<?php

namespace App\Http\Controllers\Report;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class Customer extends Controller
{
    public function __construct()
    {
        $this->result = array();
    }

    public function best_buyer()
    {
        return view('report/customer/best-buyer');
    }
    public function sales_history()
    {
        return view('report/customer/sales-history');
    }
}

resources/views/customer/customer/customer-add.blade.php
<?php 
    use \App\Http\Controllers\Setting\CustomerType;
    $types = CustomerType::create();
?>
@extends("layouts.app")
@section("wrapper")
        <div class="page-wrapper">
            <div class="page-content">
                <!--breadcrumb-->
                <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
                    <div class="breadcrumb-title pe-3">Customer</div>
                    <div class="ps-3">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb mb-0 p-0">
                                <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                                </li>
                                <li class="breadcrumb-item active" aria-current="page">Add New Customer</li>
                            </ol>
                        </nav>
                    </div>
                </div>
                <!--end breadcrumb-->
                <div class="row">
                    <div class="col-xl-7 mx-auto">
                        <div class="card border-top border-0 border-4 border-primary">
                            <div class="card-body p-5">
                                <form class="row g-3" action="{{ route('customer-list.store') }}" method="post" id="newCustomer">
                                    <input type="hidden" name="_token" value="<?= csrf_token(); ?>"/>
                                    <div class="card-title d-flex align-items-center">
                                        <div><i class="bx bxs-user me-1 font-22 text-primary"></i>
                                        </div>
                                        <h5 class="mb-0 text-primary">Basic Information</h5>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="form-label">First Name</label>
                                        <input name="first_name" type="text" class="form-control" >
                                    </div>
                                    <div class="col-md-6">
                                        <label class="form-label">Last Name</label>
                                        <input name="last_name" type="text" class="form-control" >
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Phone No.</label>
                                        <input name="phone" type="text" class="form-control" >
                                    </div>
                                    <div class="col-md-8">
                                        <label class="form-label">Email</label>
                                        <input name="email" type="email" class="form-control" >
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">City</label>
                                        <input name="city" type="text" class="form-control" >
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">State</label>
                                        <input name="state" type="text" class="form-control" >
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Zip</label>
                                        <input name="zip" type="number" class="form-control" >
                                    </div>
                                    <div class="col-12">
                                        <label class="form-label">Local Address</label>
                                        <input name="address" type="text" class="form-control" placeholder="Address..." >
                                    </div>
                                    <div class="card-title d-flex align-items-center" style="margin-top:35px;">
                                        <div><i class="bx bx-money me-1 font-22 text-primary"></i></div>
                                        <h5 class="mb-0 text-primary">Accounts Information</h5>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="form-label">Customer Type</label>
                                        <select name="type_id" id="type_id" class="form-select select_search">
                                            <option selected disabled>Choose Type</option>
                                        <?php foreach($types as $row => $v){?>
                                            <option value="<?= $v->id ?>"><?= $v->name ?></option>
                                        <?php }?>
                                        </select>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="form-label">Customer Group</label>
                                        <input id="group_id" name="group_id" type="hidden"/>
                                        <input id="group_name" type="text" class="form-control" placeholder="Customer Group" readonly/>
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Advanced</label>
                                        <input name="advanced" type="text" class="form-control"  value="0">
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Due</label>
                                        <input name="due" type="text" class="form-control"  value="0">
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Currnet Balance</label>
                                        <input name="balance" type="text" class="form-control"  value="0">
                                    </div>
                                    <div class="col-md-12">
                                        <label class="form-label">Remarks</label>
                                        <textarea name="remarks" class="form-control" id="Remarks" placeholder="Remarks..." rows="3"></textarea>
                                    </div>
                                    <div class="mt-5 col-md-12">
                                        <label id="message" class="col-sm-6 col-form-label form-message float-left"></label>
                                        <button type="submit" class="btn btn-primary float-right ">
                                          <i class="bx bx-book-add" style="margin-right:6px;"></i>Add New</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <!--end row-->
            </div>
        </div>
@endsection
@section("script")
<script>
    $(document).ready(function() {
        $('.select_search').select2({
            height:'resolved'
        });
        
        $('body').on('change','#type_id', function(){
            let data = {
                'cat_id': $(this).val()
            };
            let result = {};
            $.ajax({
                type: "GET",
                url: "{{ url('setting-customer-type/group_info') }}",
                dataType: 'json',
                data: data,
                success: function (response)
                {
                    result = response;
                },
                error: function (er)
                {
                    console.log(er);
                },
                complete: function ()
                {
                    $('#group_name').val(result.name);
                    $('#group_id').val(result.id);
                }
            });
        });
    });
</script>
@endsection

resources/views/customer/customer/customer-edit.blade.php
<?php 
    use \App\Http\Controllers\Setting\CustomerGroup;
    function customerGroup($id){
        $group = CustomerGroup::show($id);
        return ($group !== null) ? $group->name : 'N/A';
    }
?>
<div class="row">
    <form class="col-lg-12" style="padding:0 20px" action="{{ route('customer-list.update', $info->id) }}" id="cus_edit_form">
        {{ method_field('PUT') }}
        @csrf
        <div class="card-title d-flex align-items-center">
            <div><i class="bx bxs-user me-1 font-22 text-primary"></i>
            </div>
            <h5 class="mb-0 text-primary">Basic Information</h5>
        </div>
        <div class="row">
            <div class="col-md-6 mb-3 float-left">
                <label class="form-label">First Name</label>
                <input name="first_name" type="text" class="form-control" value="<?= $info->fname ?>" required>
            </div>
            <div class="col-md-6 mb-3 float-left">
                <label class="form-label">Last Name</label>
                <input name="last_name" type="text" class="form-control" value="<?= $info->lname ?>" >
            </div>
            <div class="col-md-4 mb-3 float-left">
                <label class="form-label">Phone No.</label>
                <input name="phone" type="text" class="form-control" value="<?= $info->phone ?>" required>
            </div>
            <div class="col-md-8  mb-4 float-left">
                <label class="form-label">Email</label>
                <input name="email" type="email" class="form-control" value="<?= $info->email ?>" required>
            </div>
            <div class="col-md-4 mb-3 float-left">
                <label class="form-label">City</label>
                <input name="city" type="text" class="form-control" value="<?= $info->city ?>" >
            </div>
            <div class="col-md-4 mb-3 float-left">
                <label class="form-label">State</label>
                <input name="state" type="text" class="form-control" value="<?= $info->state ?>" >
            </div>
            <div class="col-md-4 mb-3 float-left">
                <label class="form-label">Zip</label>
                <input name="zip" type="number" class="form-control" value="<?= $info->zip ?>" >
            </div>
            <div class="col-md-12 mb-3 float-left">
                <label class="form-label">Local Address</label>
                <input name="address" type="text" class="form-control" value="<?= $info->address ?>" placeholder="Address..." >
            </div>
        </div>
        <div class="card-title d-flex align-items-center" style="margin-top:35px;">
            <div><i class="bx bx-money me-1 font-22 text-primary"></i></div>
            <h5 class="mb-0 text-primary">Accounts Information</h5>
        </div>
        <div class="row">
            <div class="col-md-6 mb-3 float-left">
                <label class="form-label">Customer Type </label>
                <select name="type_id" id="type_id" class="form-select select_search" required>
                    <option selected disabled>Choose Type</option>
                <?php foreach($types as $row => $v){?>
                    <option value="<?= $v->id ?>" <?= ($info->type_id == $v->id) ? 'selected' : '' ?>><?= $v->name ?></option>
                <?php }?>
                </select>
            </div>
            <div class="col-md-6 mb-3 float-left">
                <label class="form-label">Customer Group</label>
                <input id="group_id" name="group_id" type="hidden" value="<?= $info->group_id ?>" required/>
                <input id="group_name" type="text" class="form-control" value="<?= customerGroup($info->group_id) ?>" placeholder="Customer Group" readonly/>
            </div>
            <div class="col-md-4 mb-3 float-left">
                <label class="form-label">Advanced</label>
                <input name="advanced" type="text" class="form-control" value="<?= $info->advanced ?>"  value="0">
            </div>
            <div class="col-md-4 mb-3 float-left">
                <label class="form-label">Due</label>
                <input name="due" type="text" class="form-control" value="<?= $info->due ?>"  value="0">
            </div>
            <div class="col-md-4 mb-3 float-left">
                <label class="form-label">Current Balance</label>
                <input name="balance" type="text" class="form-control" value="<?= $info->balance ?>"  value="0">
            </div>
            <div class="col-md-12">
                <label class="form-label">Remarks</label>
                <textarea name="remarks" class="form-control" id="Remarks" placeholder="Remarks..." rows="3"><?= $info->remarks ?></textarea>
            </div>
        </div>
    </form>
</div>